<?xml version="1.0" encoding="UTF-8"?>
<!-- Addenda Banco Santander :: Facturas del tipo Logística, Financiera y de Arrendamiento :: By Daniel Herrera Tello -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:asant="http://www.santander.com.mx/schemas/xsd/AddendaSantanderV1">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
		<xsl:element name="asant:AddendaSantanderV1">
			<xsl:element name="asant:InformacionPago">
				<xsl:attribute name="email"><xsl:value-of select="Datos/Emisor/@Email"/></xsl:attribute>
				<xsl:attribute name="codigoISOMoneda">
					<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
					<xsl:choose>
						<xsl:when test="$tpomon = 0">
							<xsl:text>MXN</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 1">
							<xsl:text>MXN</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 2">
							<xsl:text>USD</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 3">
							<xsl:text>XEU</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:if test="Datos/Emisor/@noProveedor !=''">
					<xsl:attribute name="numProveedor">
						<xsl:value-of select="Datos/Emisor/@noProveedor"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="Datos/Documento/OrdenesCompra/OrdenCompra/@No !=''">
					<xsl:attribute name="ordenCompra">
						<xsl:value-of select="Datos/Documento/OrdenesCompra/OrdenCompra/@No"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="Datos/Documento/XMLAddenda/Documento/InfoPago/@NombreBeneficiarioPago !=''">
					<xsl:attribute name="nombreBeneficiario">
						<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/InfoPago/@NombreBeneficiarioPago"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="Datos/Documento/XMLAddenda/Documento/InfoPago/@InstitucionReceptora !=''">
					<xsl:attribute name="institucionReceptora">
						<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/InfoPago/@InstitucionReceptora"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="Datos/Documento/XMLAddenda/Documento/InfoPago/@NumeroCuenta !=''">
					<xsl:attribute name="numeroCuenta">
						<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/InfoPago/@NumeroCuenta"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="Datos/Documento/XMLAddenda/Documento/InfoPago/@CuentaContable !=''">
					<xsl:attribute name="cuentaContable">
						<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/InfoPago/@CuentaContable"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="Datos/Documento/XMLAddenda/Documento/InfoPago/@ClaveDeposito !=''">
					<xsl:attribute name="claveDeposito">
						<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/InfoPago/@ClaveDeposito"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="Datos/Documento/XMLAddenda/Documento/InfoPago/@PosicionPedido !=''">
					<xsl:attribute name="posCompra">
						<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/InfoPago/@PosicionPedido"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="Datos/Documento/XMLAddenda/Documento/InfoPago/@Concepto !=''">
					<xsl:attribute name="concepto">
						<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/InfoPago/@Concepto"/>
					</xsl:attribute>
				</xsl:if>
			</xsl:element>
			<xsl:element name="asant:InformacionEmision">
				<xsl:if test="Datos/Documento/XMLAddenda/Documento/InfoEmision/@CentroCostos !=''">
					<xsl:attribute name="centroCostos">
						<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/InfoEmision/@CentroCostos"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:element name="asant:InformacionFactoraje">
					<xsl:attribute name="numeroDocumento">
						<xsl:value-of select="concat(Datos/CFD/@Serie,Datos/CFD/@Folio)"/>
					</xsl:attribute>
				</xsl:element>
			</xsl:element>
			<xsl:if test="Datos/Documento/XMLAddenda/Documento/Inmueble/@NumeroContratoInmueble !=''">
				<xsl:element name="asant:Inmuebles">
					<xsl:attribute name="numContrato">
						<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/Inmueble/@NumeroContratoInmueble"/>
					</xsl:attribute>
					<xsl:if test="Datos/Documento/XMLAddenda/Documento/Inmueble/@VencimientoContratoInmueble !=''">
						<xsl:attribute name="fechaVencimiento">
							<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/Inmueble/@VencimientoContratoInmueble"/>
						</xsl:attribute>
					</xsl:if>
				</xsl:element>
			</xsl:if>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>